PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_ctrmm_Tile | ( | PLASMA_enum | side,
|  | PLASMA_enum | uplo,
|  | PLASMA_enum | transA,
|  | PLASMA_enum | diag,
|  | PLASMA_Complex32_t | alpha,
|  | PLASMA_desc * | A,
|  | PLASMA_desc * | B
| ) |  |

PLASMA_ctrmm_Tile - Computes triangular solve. Tile equivalent of PLASMA_ctrmm(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | side | Specifies whether A appears on the left or on the right of X: = PlasmaLeft: A*X = B = PlasmaRight: X*A = B
  [in] | uplo | Specifies whether the matrix A is upper triangular or lower triangular: = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
  [in] | transA | Specifies whether the matrix A is transposed, not transposed or conjfugate transposed: = PlasmaNoTrans: A is transposed; = PlasmaTrans: A is not transposed; = PlasmaConjTrans: A is conjfugate transposed.
  [in] | diag | Specifies whether or not A is unit triangular: = PlasmaNonUnit: A is non unit; = PlasmaUnit: A us unit.
  [in] | alpha | alpha specifies the scalar alpha.
  [in] | A | The triangular matrix A. If uplo = PlasmaUpper, the leading N-by-N upper triangular part of the array A contains the upper triangular matrix, and the strictly lower triangular part of A is not referenced. If uplo = PlasmaLower, the leading N-by-N lower triangular part of the array A contains the lower triangular matrix, and the strictly upper triangular part of A is not referenced. If diag = PlasmaUnit, the diagonal elements of A are also not referenced and are assumed to be 1.
  [in,out] | B | On entry, the N-by-NRHS right hand side matrix B. On exit, if return value = 0, the N-by-NRHS solution matrix X.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_ctrmm
  PLASMA_ctrmm_Tile_Async
  PLASMA_ctrmm_Tile
  PLASMA_dtrmm_Tile
  PLASMA_strmm_Tile